For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tigrina API

getCellularInformation

get

Retrieves a set of cellular WAN information relating to a specific Hera 604 router.

Body
ESNstringOptional
Responses
200

Successful response

application/json
get/Japi/Diam/getCellularInformation
GET /Japi/Diam/getCellularInformation HTTP/1.1
Host: tigrina.eseye.com
Content-Type: application/json
Accept: */*
Content-Length: 30

{
  "ESN": "12345678901234567890"
}
200

Successful response

{
  "status": {
    "status": "OK",
    "errorCode": "",
    "errorMessage": ""
  },
  "Router": {
    "ESN": "12345678901234567890",
    "ICCID": "8944538523001234567",
    "IMEI": "359076061234567",
    "SIMProfile": "Sim1",
    "CellularConnection": {
      "Sims": {
        "ChipSim": [],
        "Sim1": {
          "ICCID": "8944538523001234567",
          "IMSI": "TBD"
        },
        "Sim2": {
          "ICCID": "8944538523001234568",
          "IMSI": "TBD"
        }
      }
    },
    "NetworkStatus": {
      "RSSI": "-87dBm",
      "Timestamp": "2015-05-02 00:12:45",
      "NetworkName": "vodaUK",
      "RAT": "lte",
      "IPAddress": "10.12.34.56"
    },
    "location": {
      "Lat": "53.1234562",
      "Lon": "-1.54678"
    }
  }
}

getCellularRSSIHistory

get

Retrieves a set of historic RSSI values relating to a specific Hera 604 router.

Body
ESNstringOptional
Responses
200

Successful response

application/json
get/Japi/Diam/getCellularRSSIHistory
GET /Japi/Diam/getCellularRSSIHistory HTTP/1.1
Host: tigrina.eseye.com
Content-Type: application/json
Accept: */*
Content-Length: 30

{
  "ESN": "12345678901234567890"
}
200

Successful response

{
  "status": {
    "status": "OK",
    "errorCode": "",
    "errorMessage": ""
  },
  "Router": {
    "ESN": "12345678901234567890",
    "ICCID": "8944538523001234567",
    "signal": [
      {
        "Timestamp": "2015-05-02 00:12:45",
        "RSSI": "-90dBm",
        "NetworkName": "Vodafone",
        "RAT": "lte"
      },
      {
        "Timestamp": "2015-05-03 08:12:00",
        "RSSI": "-87dBm",
        "NetworkName": "O2",
        "RAT": "UMTS"
      }
    ]
  }
}

getDeviceInformation

get

Retrieves device information relating to a specific Hera 604 router.

Body
ESNstringOptional
Responses
200

Successful response

No content

get/Japi/Diam/getDeviceInformation
GET /Japi/Diam/getDeviceInformation HTTP/1.1
Host: tigrina.eseye.com
Content-Type: application/json
Accept: */*
Content-Length: 30

{
  "ESN": "12345678901234567890"
}
200

Successful response

No content

getNetworkInformation

get

Retrieves a set of LAN information relating to a specific Hera 604 router.

Body
ESNstringOptional
Responses
200

Successful response

No content

get/Japi/Diam/getNetworkInformation
GET /Japi/Diam/getNetworkInformation HTTP/1.1
Host: tigrina.eseye.com
Content-Type: application/json
Accept: */*
Content-Length: 30

{
  "ESN": "12345678901234567890"
}
200

Successful response

No content

login

post

Logs in the user using the supplied credentials. The session times out after 1440 seconds of inactivity. If you attempt to use a session cookie after that session has timed out, you will need to log in again.

Body
usernamestringOptional
passwordstringOptional
portfolioIDstringOptional
Responses
200

Successful response

application/json
cookiestringOptional
post/Japi/Diam/login
POST /Japi/Diam/login HTTP/1.1
Host: tigrina.eseye.com
Content-Type: application/json
Accept: */*
Content-Length: 100

{
  "username": "Example@Username.com",
  "password": "examplepassword",
  "portfolioID": "CustomerPortfolioID"
}
200

Successful response

{
  "cookie": ".{0,255}",
  "status": {
    "status": "OK",
    "errorCode": "",
    "errorMessage": ""
  }
}

logout

post

Logs the user out of the Tigrina API.

Responses
200

Successful response

application/json
post/Japi/Diam/logout
POST /Japi/Diam/logout HTTP/1.1
Host: tigrina.eseye.com
Accept: */*
200

Successful response

{
  "status": {
    "status": "OK",
    "errorCode": "",
    "errorMessage": ""
  }
}

Last updated

Was this helpful?